Quassel IRC - Bug #579

Monospaced font not wrapped correctly
02/24/2009 08:56 AM - mstormo

Status: Resolved Start date: 02/24/2009
Priority: Normal Due date:

Assignee: Sputnick % Done: 100%
Category: Quassel GUI (Qt) Estimated time: 0.00 hour
Target version:

Version: 0.4.0 0S: Windows
Description

When | use a monospaced font in the chat window, the text is not wrapped correctly, and there's no scrollbars, so | can't see the
whole text.

Associated revisions

Revision 12fa4e53761a68904512089d5ac368480439be35 - 09/14/2009 08:01 PM - Manuel Nickschas

Workaround the wordwrap issues with Qt

This is a real fugly workaround for Qt bug 238249. As long as it makes Quassel wrap words correctly,
I'm willing to live with it though.

There's still some pathological cases where we still get it wrong (long URLs with real narrow columns,
apparently), but meh.

Closes #579, closes #704.
Revision 12fa4e53 - 09/14/2009 08:01 PM - Manuel Nickschas
Workaround the wordwrap issues with Qt

This is a real fugly workaround for Qt bug 238249. As long as it makes Quassel wrap words correctly,
I'm willing to live with it though.

There's still some pathological cases where we still get it wrong (long URLs with real narrow columns,
apparently), but meh.

Closes #579, closes #704.

History

#1 - 07/29/2009 01:13 PM - Sputnick

- Status changed from New to Assigned
- Assignee set to Sputnick

- Target version set to 0.5.0

- % Done changed from 0 to 80

Looks like the recent changes in our layout engine might workaround this Qt bug and solve the problem for Quassel users. We'll see. Reopening this
so | won't forget.

#2 - 09/14/2009 08:14 PM - Sputnick
- Status changed from Assigned to Resolved

- % Done changed from 80 to 100

Applied in changeset 12fa4e53761a68904512089d5ac368480439be35.

#3 - 03/26/2013 11:46 PM - clopez
- Status changed from Resolved to Feedback
- Target version changed from 0.5.0 to 33

- % Done changed from 100 to 50
https://wiki.quassel-irc.org/projects/quassel-irc/repository/revisions/12fa4e53761a68904512089d5ac368480439be35

Hi.

I'm running quassel-client 0.8.0 on Debian/Wheezy and this issue still happens. Perhaps is a regression.
If | configure monospace font the text is not wrapped correctly and | can't read long lines.

#4 - 03/27/2013 12:07 AM - clopez

Ok... After closing&reopening quassel-client now seems to work as expected.

could be this caused for changing the fonts several times without restarting the program?

#5 - 03/27/2013 12:12 AM - Anonymous

yes. it's too lazy to properly trigger a re-{draw,layout} when changing certain properties (scrolling up or switching buffers may be a viable workaround);
a full restart after changing stuff is somewhat expected. there may or may not be tickets relating to it directly.

#6 - 04/02/2013 11:31 PM - clopez

Thanks for the information.

After several days of continuous use | confirm that the issue not longer happens after restarting it. All seems to works as expected.
Feel free to close this.

#7 - 04/03/2013 07:10 AM - Anonymous

- Status changed from Feedback to Resolved

#8 - 01/14/2014 01:19 AM - Sputnick
- Target version deleted (33)
- % Done changed from 50 to 100
